Get Appliance Memory Utilization

Get memory utilization telemetry for an appliance.

SecurityHTTPBearer
Request
path Parameters
serial_number
required
string <uuid> (Serial Number)
Request Body schema: application/json
required
period
required
string (Period)

Time period in ISO 8601 format. Examples: 'PT1H' (last 1 hour), 'P1D' (last 1 day), '2025-01-01T00:00:00Z/2025-01-02T00:00:00Z' (specific interval), or millisecond timestamps '1730390400000/1730476800000'. Minimum range: 6 minutes.

Panel Width (integer) or Panel Width (null) (Panel Width)

Panel width in pixels (100-5200)

Bin Size (integer) or Bin Size (null) (Bin Size)

Bin size for data aggregation (60-3600)

Responses
200

Successful Response

401

Not authenticated

403

Insufficient permissions or license

404

Resource not found

408

Request timeout

413

Payload too large

422

Invalid input data

429

Too many requests (rate limit exceeded)

500

Internal server error

post/telemetry/appliances/{serial_number}/memory_utilization
Request samples
application/json
{
  • "period": "string",
  • "panel_width": 100,
  • "bin_size": 60
}
Response samples
application/json
{
  • "metadata": { },
  • "items": [
    ]
}
Copyright © 2025 Nasuni Corporation. All rights reserved.